distort(6)

NAME
distort - distort the content of the screen in interesting ways

SYNOPSIS
distort [-root] [-window] [-mono] [-install] [-noinstall] [-visual visual] [-window-id window-id] [-delay usecs] [-duration secs] [-radius pixels] [-speed int] [-number int] [-swamp] [-bounce] [-reflect] [-vortex] [-magnify] [-blackhole] [-slow] [-shm] [-no-shm] [-fps]

DESCRIPTION
The distort program takes an image and lets circular zones of distortion wander randomly around it, distorting what is under them. The mode of distortion and the overall behaviour of the zones can be influenced in various ways. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

OPTIONS
distort accepts the following options:

-root
    Draw on the root window.

-window
    Draw on a newly-created window. This is the default.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-noinstall
    Don't install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class or the id number (decimal or hex) of a specific visual.

-window-id window-id
    Specify which window id to use.

-delay usecs
    Specify the delay between subsequent animation frames in microseconds.

-duration seconds
    How long to run before loading a new image. Default 120 seconds.

-radius pixels
    Specify the radius of the distortion zone in pixels.

-speed int
    Specify the speed at which the distortion zone moves, where 0 is slow, higher numbers are faster (10 is pretty fast.)

-number int
    Specify the number of distortion zones.

-swamp
    Instead of letting zones wander around, let small zones pop up like bubbles in a swamp and leave permanent distortion. WARNING: this option uses a colossal amount of memory: keep the -radius small when using -swamp.

-bounce
    Let zones wander around and bounce off the window border. This is the default.

-reflect
    Mode of distortion that resembles reflection by a cylindrical mirror.

-vortex
    Whirlpool-shaped distortion. Way cool.

-magnify
    This mode of distortion looks like a magnifying glass.

-blackhole
    Suck your pixels beyond the event horizon. Favourite mode of Dr Stephen Hawking.

-slow
    Make the zone wander slower.

-shm
    Use shared memory extension.

-no-shm
    Don't use shared memory extension.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright © 1998 by Jonas Munsin and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHORS
Jonas Munsin <jmunsin@iki.fi> and Jamie Zawinski <jwz@jwz.org>. This manual page by Matthias Warkus <mawa@iname.com>, 17-Oct-1999.